# Greenspark Documentation ## Guides - [MCP](https://docs.getgreenspark.com/docs/mcp.md) ## API Reference - [Community Public Account](https://docs.getgreenspark.com/reference/getcommunitypublicaccount.md): Fetches the Greenspark community public profile. Callable via ReadMe MCP execute-request when this route is enabled in ReadMe MCP route toggles. - [Public Account](https://docs.getgreenspark.com/reference/getpublicaccount.md): Deprecated — use getPublicAccountV2 (GET /v2/accounts/public/{publicAccountId}). - [Public Account V2](https://docs.getgreenspark.com/reference/getpublicaccountv2.md): Canonical public account endpoint. Returns impacts and comparisons by project. Accepts all standard API key types. Callable via ReadMe MCP execute-request when this route is enabled in ReadMe MCP route toggles. - [Account](https://docs.getgreenspark.com/reference/account.md) - [Add Domain](https://docs.getgreenspark.com/reference/adddomain.md): Deprecated — redirects to v2. Use addDomainV2. - [Add Domain](https://docs.getgreenspark.com/reference/adddomainv2.md): Add your domain and receive the DNS records that must be added to your domain. - [Add Template](https://docs.getgreenspark.com/reference/addtemplate.md): Deprecated — redirects to v2. Use addTemplateV2. Add your notification template for email sending. If you do not want a customizable property to be custom, you should provide the default value for that property. - [Add Template](https://docs.getgreenspark.com/reference/addtemplatev2.md): Add your notification template for email sending. If you do not want a customizable property to be custom, you should provide the default value for that property. You can get the default values for every template type from the templates-defaults endpoint. - [Delete Domain](https://docs.getgreenspark.com/reference/deletedomain.md): Deprecated — redirects to v2. Use deleteDomainV2. - [Delete Domain](https://docs.getgreenspark.com/reference/deletedomainv2.md): Delete your domain. - [Delete Template](https://docs.getgreenspark.com/reference/deletetemplate.md): Deprecated — redirects to v2. Use deleteTemplateV2. - [Delete Template](https://docs.getgreenspark.com/reference/deletetemplatev2.md): Delete your template. - [Disable Template](https://docs.getgreenspark.com/reference/disabletemplate.md): Disable your notification template to stop sending emails. - [Fetch Domains](https://docs.getgreenspark.com/reference/fetchdomains.md): Deprecated — redirects to v2. Use fetchDomainsV2. - [Fetch Domains](https://docs.getgreenspark.com/reference/fetchdomainsv2.md): Fetch your previously added domains. - [Fetch Templates](https://docs.getgreenspark.com/reference/fetchtemplates.md): Deprecated — redirects to v2. Use fetchTemplatesV2. - [Fetch Templates Defaults](https://docs.getgreenspark.com/reference/fetchtemplatesdefaults.md): Deprecated — redirects to v2. Use fetchTemplatesDefaultsV2. - [Fetch Templates Defaults](https://docs.getgreenspark.com/reference/fetchtemplatesdefaultsv2.md): Fetch templates defaults for email sending. - [Fetch Templates](https://docs.getgreenspark.com/reference/fetchtemplatesv2.md): Fetch templates for email sending. - [Email](https://docs.getgreenspark.com/reference/email.md) - [Test Template](https://docs.getgreenspark.com/reference/testtemplate.md): Add your notification template for email sending. - [Update Template](https://docs.getgreenspark.com/reference/updatetemplate.md): Deprecated — redirects to v2. Use updateTemplateV2. Update your notification template for email sending. - [Update Template](https://docs.getgreenspark.com/reference/updatetemplatev2.md): Update your notification template for email sending. If you do not want a customizable property to be custom, you should provide the default value for that property. You can get the default values for every template type from the templates-defaults endpoint. - [Verify Domain](https://docs.getgreenspark.com/reference/verifydomain.md): Deprecated — redirects to v2. Use verifyDomainV2. - [Verify Domain](https://docs.getgreenspark.com/reference/verifydomainv2.md): Verify your domain based on the provided DNS records. - [Fetch Carbon Estimate of a Transaction by MCC](https://docs.getgreenspark.com/reference/fetchcarbonestimateofatransactionbymcc.md): Estimating the carbon footprint of a transaction based on a Merchant Category Code - [Fetch Carbon Estimate of a Transaction by Open Banking Category Types](https://docs.getgreenspark.com/reference/fetchcarbonestimateofatransactionbyopenbankingcategorytypes.md): Estimating the carbon footprint of a transaction based on Open Banking Category Types - [Fetch Carbon Estimate of Multiple Transactions by MCC](https://docs.getgreenspark.com/reference/fetchcarbonestimateofmultipletransactionsbymcc.md): Estimating the carbon footprint of multiple transactions based on a Merchant Category Code - [Fetch Carbon Estimate of Multiple Transactions by Open Banking Category Types](https://docs.getgreenspark.com/reference/fetchcarbonestimateofmultipletransactionsbyopenbankingcategorytypes.md): Estimating the carbon footprint of multiple transactions based on Open Banking Category Types - [Estimations](https://docs.getgreenspark.com/reference/estimations.md) - [SDKs](https://docs.getgreenspark.com/reference/sdks.md) - [Create Impact](https://docs.getgreenspark.com/reference/createimpact.md): Creates an impact associated with a source and a trigger. Not executable via ReadMe MCP execute-request in the current version (read-only MCP). Use get-endpoint output to build integrations in your application. - [Create Impact in Batch](https://docs.getgreenspark.com/reference/createimpactbatch.md): Run multiple create impact call in a batch, equivalent to calling create impact multiple times with different parameters. Not executable via ReadMe MCP execute-request in the current version (read-only MCP). Use get-endpoint output to build integrations in your application. - [Create One-time Impact](https://docs.getgreenspark.com/reference/createtailoredimpact.md): Creates an impact associated with an account id. Not executable via ReadMe MCP execute-request in the current version (read-only MCP). Use get-endpoint output to build integrations in your application. - [Fetch Impact Purchase](https://docs.getgreenspark.com/reference/getimpactpurchase.md): Public impact purchase ledger entry. Callable via ReadMe MCP execute-request when this route is enabled in ReadMe MCP route toggles. [Read more about the domain object here.](https://greenspark.readme.io/reference/impacts) - [Fetch Impact Purchases](https://docs.getgreenspark.com/reference/getimpactpurchases.md): Public impact purchase ledger. Callable via ReadMe MCP execute-request when this route is enabled in ReadMe MCP route toggles. [Read more about the domain object here.](https://greenspark.readme.io/reference/impacts) - [Impacts](https://docs.getgreenspark.com/reference/impacts.md) - [Impact segmentation](https://docs.getgreenspark.com/reference/data-segmentation.md): Learn how to segment your impact data. - [Environments](https://docs.getgreenspark.com/reference/environments.md): How to use our staging and production environments. - [Fetch project by id](https://docs.getgreenspark.com/reference/getproject.md): Fetch detailed project information. Accepts all standard API key types. Callable via ReadMe MCP execute-request when this route is enabled in ReadMe MCP route toggles. - [Fetch project categories](https://docs.getgreenspark.com/reference/getprojectcategories.md): List impact project categories. Accepts all standard API key types. Callable via ReadMe MCP execute-request when this route is enabled in ReadMe MCP route toggles. - [Fetch projects](https://docs.getgreenspark.com/reference/getprojects.md): List impact projects available to the account. Accepts all standard API key types. Callable via ReadMe MCP execute-request when this route is enabled in ReadMe MCP route toggles. - [Projects](https://docs.getgreenspark.com/reference/projects.md) - [Fetch a Report Page](https://docs.getgreenspark.com/reference/fetchareportpage.md): Deprecated — returns 404 at runtime. Use v2 fetchRawReportV2 (GET /v2/reports) with cursor pagination. - [Fetch Average Spend Per Impact](https://docs.getgreenspark.com/reference/fetchaveragespendperimpact.md): Fetch the Array of average spending on impacts per currency. - [Fetch Carbon By Interval](https://docs.getgreenspark.com/reference/fetchcarbonbyinterval.md): Fetch the Array of spending on impacts of carbon per month. - [Fetch Impact Amount By Type Per Source Report](https://docs.getgreenspark.com/reference/fetchimpactamountbytypepersourcereport.md): Fetch the Array of spending on impacts on a single type and source. - [Fetch Impact Amount By Type Per Trigger Report](https://docs.getgreenspark.com/reference/fetchimpactamountbytypepertriggerreport.md): Fetch the Array of spending on impacts on a single type and trigger. - [Fetch Impacts By Interval](https://docs.getgreenspark.com/reference/fetchimpactsbyinterval.md): Fetch the Array of spending on impacts per month. - [Fetch Plastic By Interval](https://docs.getgreenspark.com/reference/fetchplasticbyinterval.md): Fetch the Array of spending on impacts of plastic per month. - [Fetch Raw Report](https://docs.getgreenspark.com/reference/fetchrawreport.md): Deprecated — returns 404 at runtime. Use v2 fetchRawReportV2 (GET /v2/reports). - [Fetch Raw Report v2](https://docs.getgreenspark.com/reference/fetchrawreportv2.md): Canonical raw impact export. Paginate with the cursor query parameter when the response includes a non-null cursor. Row metadata may contain merchant-defined key/value pairs. - [Fetch Total Impact By Sources](https://docs.getgreenspark.com/reference/fetchtotalimpactbysources.md): Fetch the Array of impacts amount per source. - [Fetch Total Impact By Triggers](https://docs.getgreenspark.com/reference/fetchtotalimpactbytriggers.md): Fetch the Array of impacts amount per trigger. - [Fetch Total Impact By Type Report](https://docs.getgreenspark.com/reference/fetchtotalimpactbytypereport.md): Fetch the Array of spending on impacts on a single type. - [Fetch Total Impacts Count](https://docs.getgreenspark.com/reference/fetchtotalimpactscount.md): Fetch the total number of impacts. - [Fetch Total Spend On Impacts](https://docs.getgreenspark.com/reference/fetchtotalspendonimpacts.md): Fetch the Array of total spending on impacts per currency. - [Fetch Trees By Interval](https://docs.getgreenspark.com/reference/fetchtreesbyinterval.md): Fetch the Array of spending on impacts of trees per month. - [Reports](https://docs.getgreenspark.com/reference/reports.md) - [Localisation](https://docs.getgreenspark.com/reference/localisation-1.md) - [By percentage of revenue widget v2](https://docs.getgreenspark.com/reference/by-percentage-of-revenue-widget-v2.md): Fetching a widget that describes a given store’s by percentage of revenue impact settings. - [By percentage widget v2](https://docs.getgreenspark.com/reference/by-percentage-widget-v2.md): Fetching a widget that describes a given store’s by percentage impact settings. - [By percentage widget](https://docs.getgreenspark.com/reference/by-percentage-widget.md): Fetching a widget that describes a given store’s by percentage impact settings. - [Cart widget v2](https://docs.getgreenspark.com/reference/cart-widget-v2.md): Fetching a widget that describes the impact made by the products placed in the cart. - [Cart widget](https://docs.getgreenspark.com/reference/cart-widget.md): Fetching a widget that describes the impact made by the products placed in the cart. - [Full width banner v2](https://docs.getgreenspark.com/reference/full-width-banner-v2.md): Fetching a banner which displays the user's top stats - [Full width banner](https://docs.getgreenspark.com/reference/full-width-banner.md): Fetching a banner which displays the user's top stats - [Per order widget v2](https://docs.getgreenspark.com/reference/per-order-widget-v2.md): Fetching a widget that describes a given store’s per order impact settings. - [Per order widget](https://docs.getgreenspark.com/reference/per-order-widget.md): Fetching a widget that describes a given store’s per order impact settings. - [Per product widget v2](https://docs.getgreenspark.com/reference/per-product-widget-v2.md): Fetching a widget that describes a given store’s impact settings for a selected product. - [Per product widget](https://docs.getgreenspark.com/reference/per-product-widget.md): Fetching a widget that describes a given store’s impact settings for a selected product. - [Spend level widget v2](https://docs.getgreenspark.com/reference/spend-level-widget-v2.md): Fetching a widget that describes a given store’s spend level impact settings. - [Spend level widget](https://docs.getgreenspark.com/reference/spend-level-widget.md): Fetching a widget that describes a given store’s spend level impact settings. - [Tiered spend level widget v2](https://docs.getgreenspark.com/reference/tiered-spend-level-widget-v2.md): Fetching a widget that describes a given store’s tiered spend level impact settings. - [Tiered spend level widget](https://docs.getgreenspark.com/reference/tiered-spend-level-widget.md): Fetching a widget that describes a given store’s tiered spend level impact settings. - [Top stats widget v2](https://docs.getgreenspark.com/reference/top-stats-widget-v2.md): Fetching a widget that shows the overall stats of a given Greenspark account. Please note that any impacts with 0 value are automatically hidden from the widget. - [Top stats widget](https://docs.getgreenspark.com/reference/top-stats-widget.md): Fetching a widget that shows the overall stats of a given Greenspark account. Please note that any impacts with 0 value are automatically hidden from the widget.